"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const releaseReplication = async (pool, lockId) => {
  await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.RELEASE_REPLICATION.endpoint}`, {
    method: _moduleReplication.RELEASE_REPLICATION.method,
    body: JSON.stringify({
      lockId
    }),
    headers: {
      'Content-Type': 'application/json'
    }
  });
};

var _default = releaseReplication;
exports.default = _default;
//# sourceMappingURL=release-replication.js.map